<?php
require_once (dirname(__FILE__). '/config.php');
session_start();
session_regenerate_id(true);
$token = setToken();
$errmsg = isset($_SESSION['errmsg']) ? $_SESSION['errmsg'] : null;

// ワンタイムトークン発行
function setToken() {
    $token = rtrim(base64_encode(openssl_random_pseudo_bytes(32)),'=');
    $_SESSION['token'] = $token;
    return $token;
}

// 参加日時リスト
function createEventDateList() {
    // 今週の水曜日の日
    $this_wednsday_date = date("d") - date("w") + 3;
    // 今週の土曜日の日
    $this_saturday_date = $this_wednsday_date + 3;

    $event_date_list = [];
    for ($i = 0; $i < 4; $i++) {
        $event_date_list[] = date("m月d日（水）20:00 - 22:00", strtotime('+ '. $i. ' week', strtotime(date("Y-m-". $this_wednsday_date))));
        $event_date_list[] = date("m月d日（土）15:00 - 17:00", strtotime('+ '. $i. ' week', strtotime(date("Y-m-". $this_saturday_date))));
    }

    return $event_date_list;
}
